gdata.tlslite.SessionCache | index /usr/local/google/home/afshar/src/external-gdata-release/google3/src/gdata/tlslite/SessionCache.py

`Class for caching TLS sessions.`

Modules

``

thread | time |  |

Classes

``

SessionCache

class SessionCache
`` | `This class is used by the server to cache TLS sessions. Caching sessions allows the client to use TLS session resumption and avoid the expense of a full handshake. To use this class, simply pass a SessionCache instance into the server handshake function. This class is thread-safe.`

Methods defined here:

__getitem__(self, sessionID)

__init__(self, maxEntries=10000, maxAge=14400)
  `Create a new SessionCache.
  @type maxEntries: int
  @param maxEntries: The maximum size of the cache. When this
  limit is reached, the oldest sessions will be deleted as
  necessary to make room for new ones. The default is 10000.
  @type maxAge: int
  @param maxAge: The number of seconds before a session expires
  from the cache. The default is 14400 (i.e. 4 hours).`

__setitem__(self, sessionID, session)